List organization watchlist items
curl --request GET \
--url https://api.collectpure.com/organization/get-watchlist/v1 \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/organization/get-watchlist/v1"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/organization/get-watchlist/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 0,
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"sku": "<string>",
"material": "<string>"
},
"variant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
}
],
"total": 123
}Organization API
List organization watchlist items
Retrieve product watchlist items for members of the authenticated organization. Results include related product and variant details and can be filtered by product ID.
Rate limit: 120 requests burst, 60 requests/minute sustained.
GET
/
organization
/
get-watchlist
/
v1
List organization watchlist items
Authorizations
API key for authentication
Query Parameters
Filter by product ID
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Maximum number of watchlist items to return (default 20, max 100)
Required range:
1 <= x <= 100Number of watchlist items to skip (for pagination)
Required range:
0 <= x <= 9007199254740991Was this page helpful?